Chuyển đến nội dung
Diễn đàn CADViet

Bee

Thành viên
  • Số lượng nội dung

    515
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    35

Cộng đồng

142 (tàm tạm)

2 Người theo dõi

About Bee

  • Cấp bậc
    biết lệnh xref

Khách truy cập Tiểu sử gần đây

3.800 chế độ xem tiểu sử
  1. Bee

    Lỗi font chữ trong text và dimension autocad!

    Lỗi gì hay vậy nhỉ. File có text lại block tận 3 cỡ chữ vào 1 block. Chịu khó explode ra rồi xóa thôi. Text anno mà chẳng anno tí nào. :D
  2. Bee

    DIM kích thước hình tròn

    Có thể có lỗi đơn giản là lock layer. ^_^ Do vậy không có bản vẽ không ai check thử được cho chủ thớt đâu.
  3. Bee

    Nhờ sửa lisp dim polyline

    Xóa dòng là được mà: (command "text" cT "" "" (rtos (1- (length vLst)) 2 0) "")
  4. Bee

    Nhờ vả. Xin lisp đo độ dài line xuất ra text (đơn giản)

    Lisp đây chủ thớt nhé: (defun c:gt1 (/ line txt etxt d) (setq line (car (entsel "\Chon line: "))) (setq d (distance (cdr (assoc 10 (entget line))) (cdr (assoc 11 (entget line))))) (setq txt (car (entsel "\n Chon text can thay")) etxt (entget txt) etxt (subst (cons 1 (rtos d 2 2)) (assoc 1 etxt) etxt) ) (entmod etxt) (princ) )
  5. Chỉnh thì chỉnh được, hơi mất công thêm chút. Bạn gửi chút phí mình ngồi cafe rồi chỉnh cho ^_^
  6. Bee

    Chuyển đổi Mtext thành Lines

    Dùng lệnh: WMFOUT và WMFIN hoặc express/ text/ explode text
  7. Bee

    Nhờ viết Lisp chỉnh chiều dài đường gióng

    Thử chọn cái này xem nhé:
  8. Bee

    Sửa lisp

    gửi lại file cad lên đây. Có ghi rõ trước và sau khi chạy lisp nhé b.
  9. Bee

    Sửa lisp

    Chayj lisp thì nó báo gì trên CAD. Bạn copy paste lên đây xem nào .
  10. Bee

    Sửa lisp

    (setq s1 (vl-sort (ss_vla s2) '(lambda (a b) (< (car (vlax-get a 'InsertionPoint)) (car (vlax-get b 'InsertionPoint)) ) ) ) ) (setq s2 (vl-sort (ss_vla s2) '(lambda (a b) (< (car (vlax-get a 'InsertionPoint)) (car (vlax-get b 'InsertionPoint)) ) ) ) ) thay cả 2 dòng này chưa ?
  11. Bee

    Sửa lisp

    Thay hết (< (car (vlax-get a 'InsertionPoint)) (car (vlax-get b 'InsertionPoint)) thành (> (cadr (vlax-get a 'InsertionPoint)) (cadr (vlax-get b 'InsertionPoint))
×